Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.binding
Interface DCTransactionStateListener

All Known Subinterfaces:
  JUTransactionStateListener

All Known Implementing Classes:
  JUNavigationBar, JUStatusBar

public interface DCTransactionStateListener

Implemented by controls/classes that need to react to a change in a transaction's state. Typically, controls like status bar and navigation bar need to update their display with a dirty flag/button that indicates whether the ensuing transaction is clean or not. Those classes can implement this interface and add themselves to the DCApplication's transaction state listener's list so that they get notified of the change.

See Also:
  `JUNavigationBar`, `JUApplication`

Method Summary
`void` | `release()` Framework calls this method when it needs to indicate that the connection to is being released.
`void` | `transactionStateChanged(boolean state)` Invoked when the transaction is either marked dirty or clean.

Method Detail

### transactionStateChanged

    public void transactionStateChanged(boolean state)

  Invoked when the transaction is either marked dirty or clean.
  Parameters:
    `state` - Indicates if the transaction was marked clean (true) or dirty (false). Controls like NavigationBar then disables/enables the Save button to indicate there are changes that need to be saved/committed to the database.

### release

    public void release()

  Framework calls this method when it needs to indicate that the connection to is being released.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.